.heading-catalog {
    position: relative;

    &__slide {
        color: $white;
        height: 390px;
        padding-top: 50px;
        font-size: size-rel(20px);
        line-height: size-rel(24px);
        background-repeat: no-repeat;
        background-position: 50% 50%;
        background-size: cover;
        display: flex;
        flex-direction: column;
    }

    &__main {
        margin: auto 0;
    }

    &__title {
        margin: 0 0 10px 0;
        font-weight: 800;
        font-size: size-rel(32px);
        line-height: 1.2;
        text-transform: uppercase;
        font-family: $font-family-primary;
    }

    &__switch {
        left: 50%;
        right: 0;
        bottom: 0;
        z-index: 10;
        display: none;
        position: absolute;
        background: $white;
        padding-left: 60px;

        &--container {
            height: 140px;
            display: flex;
            align-items: center;
        }

        &--item {
            width: 160px;
            color: #74767b;
            cursor: pointer;
            white-space: nowrap;
            text-decoration: none;
            font-weight: 700;
            font-size: size-rel(16px);
            line-height: size-rel(20px);

            &:first-child {
                margin-right: 50px;
            }

            strong {
                display: block;
                font-weight: 700;
                margin-bottom: 10px;
            }

            span {
                display: block;
            }

            &.active {
                color: #000;
            }
        }
    }

    &__nav {
        left: 15px;
        bottom: 36px;
        z-index: 20;
        display: block;
        position: absolute;
    }

    &__pattern {
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 300;
        display: none;
        position: absolute;

        &--wrap {
            position: relative;
        }

        &--lines {
            left: 0;
            bottom: 104px;
            position: relative;

            &:after {
                top: 0;
                left: -25px;
                z-index: 10;
                content: '';
                height: 1px;
                width: 400px;
                position: absolute;
                background: $white;
            }

            &:before {
                left: 0;
                bottom: -35px;
                z-index: 10;
                content: '';
                width: 1px;
                height: 360px;
                position: absolute;
                background: $white;
            }

        }
    }

    @include media-breakpoint-up(sm) {

        &__nav {
            left: calc(50% - 255px);
        }
    }

    @include media-breakpoint-up(md) {

        &__slide {
            height: 525px;
        }

        &__title {
            font-size: size-rel(44px);
        }

        &__nav {
            left: calc(50% - 360px);
        }
    }

    @include media-breakpoint-up(lg) {

        &__slide {
            height: 668px;
        }

        &__title {
            font-size: size-rel(50px);
        }

        &__switch {
            display: block;
             padding-left: 90px;

            &--item {
                margin-right: 100px;
            }
        }

        &__nav {
            bottom: calc(50% - 40px);
            left: auto;
            right: calc(50% - 470px);
        }
    }

    @include media-breakpoint-up(xl) {

        &__title {
            font-size: size-rel(72px);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__pattern {
            display: block;
        }
    }
}

.showcase {
    padding: 30px 0;
    background: #f1ece5;

    &__row {
        display: grid;
        grid-row-gap: 30px;
        grid-column-gap: 30px;
        grid-template-columns: 1fr;
    }

    @include media-breakpoint-up(sm) {

        &__row {
            grid-template-columns: 1fr 1fr;
        }
    }

    @include media-breakpoint-up(md) {
        padding: 55px 0;

        &__row {
            grid-template-columns: 1fr 1fr;
        }
    }

    @include media-breakpoint-up(lg) {

        &__row {
            grid-template-columns: 1fr 1fr 1fr;
        }
    }
}

.calc {
    color: $white;
    padding: 40px 0;
    background: #282c30 url("../images/calc__bg.webp") 50% 50% no-repeat;
    background-size: cover;

    &__header {
        font-weight: 700;
        font-size: size-rel(32px);
        line-height: 1.1;
        margin-bottom: 20px;
    }

    &__group {
        padding: 17px 20px 17px 10px;
        margin-bottom: 5px;
        display: flex;
        align-items: center;
        border: 2px solid #6d6457;

        &.open {
            align-items: flex-start;

            .calc__group--data {
                display: block;
            }
        }

        &--icon {
            width: 30px;
            flex-shrink: 0;
        }

        &--content {
            flex-grow: 1;
            padding-left: 20px;
        }

        &--title {
            font-weight: 700;
            font-size: size-rel(20px);
            line-height: size-rel(24px);
        }

        &--data {
            display: none;
            padding-top: 5px;

            ul {
                margin: 0;
                padding: 0;
                list-style: none;

                > li {
                    margin-top: 10px;
                }
            }
        }

        &--form {
            max-width: 830px;
            padding-bottom: 20px;
        }
    }

    &__summary {
        display: none;
        max-width: 890px;
        padding-top: 40px;
        padding-bottom: 30px;

        &.open {
            display: block;
        }

        &--title {
            font-weight: 600;
            font-size: size-rel(24px);
            line-height: size-rel(30px);
            text-transform: uppercase;
            margin-bottom: 20px;
        }

        &--input {
            margin-bottom: 15px;
        }

        &--button {

            .btn {
                width: 100%;
            }
        }
    }

    @include media-breakpoint-up(md) {
        padding: 50px 0;

        &__group {
            padding-right: 30px;
        }

        &__summary {

            &--row {
                margin: 0 -5px;
                display: flex;
                justify-content: space-between;
            }

            &--input {
                margin: 0;
                padding: 0 5px;
                flex-grow: 1;
            }

            &--button {
                padding: 0 5px;
                width: 210px;
                flex-shrink: 0;
            }

        }
    }

    @include media-breakpoint-up(lg) {
        padding: 70px 0;

        &__header {
            font-size: size-rel(42px);
        }
    }

    @include media-breakpoint-up(xl) {}
    @include media-breakpoint-up(xxl) {}
}

@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
